> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalhar Agente

> Retorna informações detalhadas de um agente específico.

## Endpoint

`GET https://gateway.orkeia.ai/agents/{id}`

## Cabeçalhos

```
authorization:  <seu_token>
Content-Type: application/json
```

### Parâmetros de caminho

Envie o id do agente como query parameter.

```json theme={null}
{
  "id": "ID do agente (obrigatório)"
}
```

### Exemplo (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/agents/agent123" \
  -H "authorization:  <seu_token>"
```

## Respostas

### Response - Success

```json response theme={null}
{
  "status": "OK",
  "data": { 
	"Agent": {
  "name": "Nome do agente",
  "enabled": "true",
  "model": "sabia-3",
  "auto": "false",
 "reasoning": "false",
  "publisher": "ork-123",
  "temperature": "1",
  "role": "criador de conteúdo",
  "objective": "tem como objetivo fazer tal tarefa",
  "referencies": "texto de referencia",
  "can_delegate": "false",
  "can_code": "false",
  "multimodal": "false",
  "sectors": ["market"],
  "tools": ["web_scrapper"],
  "knowledgeBases": ["market_base"]
	},
}
```

### 500 — Bad Request

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```

### Resposta

```json theme={null}
{
  "id": "agent123",
  "name": "Agente IA",
  "enabled": true
}
```
